Bug 1471224 - Home directory for ganglia user not created when package is installed
Summary: Home directory for ganglia user not created when package is installed
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: ganglia
Version: epel7
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Nick
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-07-14 17:58 UTC by Adam Lanier
Modified: 2020-10-23 22:50 UTC (History)
4 users (show)

Fixed In Version: ganglia-3.7.2-33.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-10-23 22:50:40 UTC
Type: Bug


Attachments (Terms of Use)

Description Adam Lanier 2017-07-14 17:58:36 UTC
Description of problem:

Installing ganglia, ganglia-gmond doesn't create the specified home directory for the ganglia user, /var/lib/ganglia.


Version-Release number of selected component (if applicable):

3.7.2

How reproducible:

Install ganglia, ganglia-gmond, ganglia-gmond-python.  Verify that /var/lib/ganglia is the home directory specified for the ganglia user:

grep ganglia /etc/passwd

ganglia:x:993:990:Ganglia Monitoring System:/var/lib/ganglia:/sbin/nologin

Verify that /var/lib/ganglia does not exist:

ls -l /var/lib/ganglia

Steps to Reproduce:
1. Install ganglia, ganglia-gmond, ganglia-gmond-python
2. Verify that /var/lib/ganglia is the home directory specified for the ganglia user
3. Verify that /var/lib/ganglia does not exist

Actual results:

/var/lib/ganglia does not exist

Expected results:

/var/lib/ganglia does exist

Additional info:

Comment 1 Fedora Update System 2020-10-08 22:13:50 UTC
FEDORA-EPEL-2020-fee165c6a2 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-fee165c6a2

Comment 2 Fedora Update System 2020-10-09 00:02:45 UTC
FEDORA-EPEL-2020-fee165c6a2 has been pushed to the Fedora EPEL 7 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-fee165c6a2

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 3 Fedora Update System 2020-10-23 22:50:40 UTC
FEDORA-EPEL-2020-fee165c6a2 has been pushed to the Fedora EPEL 7 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.